import {MastodonTokenHandler} from "./mastodonTokenHandler.js";
import {mastodonMemeBot} from "./mastodonMemeBot.js";

const config = {
    baseUrl: "https://social.cybre.town",
    memeAPI: "http://redditapi.adb.sh/api/v1/",
    subreddits: ["r/programmerhumor/random"],
    allowedMedia: ["jpg", "jpeg", "gif", "png"]
};

let tokenHandler = new MastodonTokenHandler(config.baseUrl);
tokenHandler.getAccessToken((accessToken) => {
    config.accessToken = accessToken;
    let bot = new mastodonMemeBot(config);
    bot.setFullInterval(60);
});
